Package fr.gouv.vitam.common.model.massupdate

# Class RuleAction

java.lang.Object
fr.gouv.vitam.common.model.massupdate.RuleAction

public class RuleAction extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getDeleteHoldEndDate()`
  `Boolean`
  `getDeleteHoldOwner()`
  `Boolean`
  `getDeleteHoldReason()`
  `Boolean`
  `getDeleteHoldReassessingDate()`
  `Boolean`
  `getDeletePreventRearrangement()`
  `Boolean`
  `getDeleteStartDate()`
  `String`
  `getEndDate()`
  Deprecated.
  unused / forbidden field.
  `String`
  `getHoldEndDate()`
  `String`
  `getHoldOwner()`
  `String`
  `getHoldReason()`
  `String`
  `getHoldReassessingDate()`
  `String`
  `getOldRule()`
  `Boolean`
  `getPreventRearrangement()`
  `String`
  `getRule()`
  `String`
  `getStartDate()`
  `Boolean`
  `isDeleteStartDate()`
  `RuleAction`
  `setDeleteHoldEndDate(Boolean deleteHoldEndDate)`
  `RuleAction`
  `setDeleteHoldOwner(Boolean deleteHoldOwner)`
  `RuleAction`
  `setDeleteHoldReason(Boolean deleteHoldReason)`
  `RuleAction`
  `setDeleteHoldReassessingDate(Boolean deleteHoldReassessingDate)`
  `RuleAction`
  `setDeletePreventRearrangement(Boolean deletePreventRearrangement)`
  `RuleAction`
  `setDeleteStartDate(Boolean deleteStartDate)`
  `RuleAction`
  `setEndDate(String endDate)`
  Deprecated.
  unused / forbidden field.
  `RuleAction`
  `setHoldEndDate(String holdEndDate)`
  `RuleAction`
  `setHoldOwner(String holdOwner)`
  `RuleAction`
  `setHoldReason(String holdReason)`
  `RuleAction`
  `setHoldReassessingDate(String holdReassessingDate)`
  `RuleAction`
  `setOldRule(String oldRule)`
  `RuleAction`
  `setPreventRearrangement(Boolean preventRearrangement)`
  `RuleAction`
  `setRule(String rule)`
  `RuleAction`
  `setStartDate(String startDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RuleAction

    public RuleAction()

- ## Method Details

  - ### getOldRule

    public String getOldRule()

  - ### setOldRule

    public RuleAction setOldRule(String oldRule)

  - ### getRule

    public String getRule()

  - ### setRule

    public RuleAction setRule(String rule)

  - ### getStartDate

    public String getStartDate()

  - ### setStartDate

    public RuleAction setStartDate(String startDate)

  - ### getEndDate

    public String getEndDate()
    Deprecated.
    unused / forbidden field. Do not delete (breaks public API)

  - ### setEndDate

    public RuleAction setEndDate(String endDate)
    Deprecated.
    unused / forbidden field. Do not delete (breaks public API)

  - ### isDeleteStartDate

    public Boolean isDeleteStartDate()

  - ### setDeleteStartDate

    public RuleAction setDeleteStartDate(Boolean deleteStartDate)

  - ### getDeleteStartDate

    public Boolean getDeleteStartDate()

  - ### getHoldEndDate

    public String getHoldEndDate()

  - ### setHoldEndDate

    public RuleAction setHoldEndDate(String holdEndDate)

  - ### getDeleteHoldEndDate

    public Boolean getDeleteHoldEndDate()

  - ### setDeleteHoldEndDate

    public RuleAction setDeleteHoldEndDate(Boolean deleteHoldEndDate)

  - ### getHoldOwner

    public String getHoldOwner()

  - ### setHoldOwner

    public RuleAction setHoldOwner(String holdOwner)

  - ### getDeleteHoldOwner

    public Boolean getDeleteHoldOwner()

  - ### setDeleteHoldOwner

    public RuleAction setDeleteHoldOwner(Boolean deleteHoldOwner)

  - ### getHoldReason

    public String getHoldReason()

  - ### setHoldReason

    public RuleAction setHoldReason(String holdReason)

  - ### getDeleteHoldReason

    public Boolean getDeleteHoldReason()

  - ### setDeleteHoldReason

    public RuleAction setDeleteHoldReason(Boolean deleteHoldReason)

  - ### getHoldReassessingDate

    public String getHoldReassessingDate()

  - ### setHoldReassessingDate

    public RuleAction setHoldReassessingDate(String holdReassessingDate)

  - ### getDeleteHoldReassessingDate

    public Boolean getDeleteHoldReassessingDate()

  - ### setDeleteHoldReassessingDate

    public RuleAction setDeleteHoldReassessingDate(Boolean deleteHoldReassessingDate)

  - ### getPreventRearrangement

    public Boolean getPreventRearrangement()

  - ### setPreventRearrangement

    public RuleAction setPreventRearrangement(Boolean preventRearrangement)

  - ### getDeletePreventRearrangement

    public Boolean getDeletePreventRearrangement()

  - ### setDeletePreventRearrangement

    public RuleAction setDeletePreventRearrangement(Boolean deletePreventRearrangement)